---
title: Guide d'installation
template: docs
taxonomy:
    category: docs
routes:
  default: '/install'
---

Il existe plusieurs manières d’installer YunoHost. La méthode d’installation diffère légèrement si vous souhaitez l’installer chez vous ou à distance, et du matériel utilisé : **[voir le matériel compatible](/hardware)**

Cette page liste plusieurs types d’installations, classés par catégories.

---

## Essayer

[div class="flex-container"]

[div class="flex-child"]
[[figure caption="Serveur de démo"]![](image://logo.png?height=150)[/figure]](/try)
[/div]

[div class="flex-child"]
[[figure caption="Essayer dans une machine virtuelle"]![](image://virtualbox.png?height=150)[/figure]](/install_on_virtualbox)
[/div]

[/div]

## Installer à la maison

[div class="flex-container"]

[div class="flex-child"]
[[figure caption="Sur un Raspberry Pi"]![](image://raspberrypi.jpg?height=150)[/figure]](/install_on_raspberry)
[/div]

[div class="flex-child"]
[[figure caption="Sur une carte ARM"]![](image://olinuxino.jpg?height=150)[/figure]](/install_on_arm_board)
[/div]

[div class="flex-child"]
[[figure caption="Sur un ordinateur standard"]![](image://computer.png?height=150)[/figure]](/install_iso)
[/div]

[/div]

## Installer à distance

!!! [fa=fa-heart /] Des FAI associatifs près de chez vous sont peut-être capable de vous fournir un *Serveur Privé Virtuel* (VPS), géré par des humains qui respectent les utilisateurs et la [Neutralité du Net](https://fr.wikipedia.org/wiki/Neutralit%C3%A9_du_r%C3%A9seau) ! Voir [cette page](https://db.ffdn.org/) pour plus d'informations.

[div class="flex-container"]

[div class="flex-child"]

[[figure caption="Sur un serveur dédié ou virtuel (VPS)"]![](image://vps.png?height=150)[/figure]](/install_on_vps)

[/div]

[/div]

## Avancé / autres

[div class="flex-container"]

[div class="flex-child"]
[[figure caption="Sur Debian 10/Buster"]![](image://debian-logo.png?height=150)[/figure]](/install_on_debian)
[/div]

[div class="flex-child"]
[[figure caption="Environnement de dev avec LXD/LXC"]![](image://lxc.png?height=150)[/figure]](/dev)
[/div]

[div class="flex-child"]
[[figure caption="(Non-officiel !) Images docker"]![](image://docker.png?height=150)[/figure]](/docker)
[/div]

[/div]
