---
title: Guida all'installazione
template: docs
taxonomy:
    category: docs
routes:
  default: '/install'
---

Ci sono diverse maniere per installare YunoHost. Il procedimento può essere leggermente diverso a seconda che si esegua a casa o su un server remoto, e dipende dall'hardware usato:
**[Vedi i requisiti](/hardware)**

Questa pagina elenca alcune guide all'installazione.

---

## Provalo

[div class="flex-container"]

[div class="flex-child"]
[[figure caption="Server demo"]![](image://logo.png?height=150)[/figure]](/try)
[/div]

[div class="flex-child"]
[[figure caption="Provalo in VirtualBox"]![](image://virtualbox.png?height=150)[/figure]](/install_on_virtualbox)
[/div]

[/div]

## Installalo a casa

[div class="flex-container"]

[div class="flex-child"]
[[figure caption="Su un Raspberry Pi"]![](image://raspberrypi.jpg?height=150)[/figure]](/install_on_raspberry)
[/div]

[div class="flex-child"]
[[figure caption="Su una scheda ARM"]![](image://olinuxino.jpg?height=150)[/figure]](/install_on_arm_board)
[/div]

[div class="flex-child"]
[[figure caption="Su un computer normale"]![](image://computer.png?height=150)[/figure]](/install_iso)
[/div]

[/div]

## Installalo su un server remoto

!!! [fa=fa-heart /] ISP locali potrebbero essere in grado di fornire un *Server Privato Vrituale* (VPS), gesito da esseri umani che rispettano gli utenti e si preoccupano della [Net Neutrality](https://en.wikipedia.org/wiki/Net_neutrality) ! Guarda [questa pagina](https://db.ffdn.org/) per maggiori informazioni.

[div class="flex-container"]

[div class="flex-child"]

[[figure caption="Su un server dedicato o un server privato virtuale (VPS)"]![](image://vps.png?height=150)[/figure]](/install_on_vps)

[/div]

[/div]

## Avanzate / altri

[div class="flex-container"]

[div class="flex-child"]
[[figure caption="Su Debian 10/Buster"]![](image://debian-logo.png?height=150)[/figure]](/install_on_debian)
[/div]

[div class="flex-child"]
[[figure caption="Dev environment in LXD/LXC"]![](image://lxc.png?height=150)[/figure]](/dev)
[/div]

[/div]
