---
title: Installation guide
template: docs
taxonomy:
    category: docs
routes:
  default: '/install'
---

There are multiple ways to install YunoHost. The process may differ slightly depending on whether it takes place at home or on a remote server, and depending on the hardware used: **[See the requirements](/hardware)**.

This page lists a few installation guides.

## Give it a try

[div class="flex-container"]

[div class="flex-child"]
[[figure caption="Demo server"]![](image://logo.png?height=150)[/figure]](/try)
[/div]

[div class="flex-child"]
[[figure caption="Try with VirtualBox"]![](image://virtualbox.png?height=150)[/figure]](/install_on_virtualbox)
[/div]

[/div]

## Install at home

[div class="flex-container"]

[div class="flex-child"]
[[figure caption="On a Raspberry Pi"]![](image://raspberrypi.jpg?height=150)[/figure]](/install_on_raspberry)
[/div]

[div class="flex-child"]
[[figure caption="On an ARM board"]![](image://olinuxino.jpg?height=150)[/figure]](/install_on_arm_board)
[/div]

[div class="flex-child"]
[[figure caption="On a regular computer"]![](image://computer.png?height=150)[/figure]](/install_iso)
[/div]

[/div]

## Install on a remote server

!!! [fa=fa-heart /] Local associative ISP near you might be able to provide you with a *Virtual Private Server* (VPS), managed by human beings who respect users and care about [Net Neutrality](https://en.wikipedia.org/wiki/Net_neutrality) ! Check out [this page](https://db.ffdn.org/) for more information.

[div class="flex-container"]

[div class="flex-child"]

[[figure caption="On a dedicated or virtual private server"]![](image://vps.png?height=150)[/figure]](/install_on_vps)

[/div]

[/div]

## Advanced / others

[div class="flex-container"]

[div class="flex-child"]
[[figure caption="On Debian 10 Buster"]![](image://debian-logo.png?height=150)[/figure]](/install_on_debian)
[/div]

[div class="flex-child"]
[[figure caption="Dev environment in LXD/LXC"]![](image://lxc.png?height=150)[/figure]](/dev)
[/div]

[div class="flex-child"]
[[figure caption="(Non-official!) Docker images"]![](image://docker.png?height=150)[/figure]](/docker)
[/div]

[/div]
