---
title: Finding your server's local IP
template: docs
taxonomy:
    category: docs
routes:
  default: '/finding_the_local_ip'
---

On an installation at home, your server should typically be accessible using the `yunohost.local` domain. If for any reason this does not work, you may need to find the *local* IP of your server.

The local IP is the address used to refer to your server inside the local network (typically your home) where multiple devices are connected to a router (your internet box). The local IP typically looks like `192.168.x.y` (or sometimes `10.0.x.y`)

Any of these tricks should allow you to find the local IP of your server:

- Connect to your internet box / router interface to list the machines connected, or check the logs;
- If you're using Linux, you can open a terminal and use `sudo arp-scan --local` to list the IP on your local network (this may also work in Windows);
    - If the `arp-scan` command displays a confusing number of devices, you can check which ones are open to SSH with `nmap -p 22 192.168.1.0/24` to sort them out (adapt the IP range to your local network)
- Plug a screen on your server, log in and type `hostname --all-ip-address`.

If you are unable to find your server using any of the previous tricks, maybe your server did not boot correctly:

- Make sure that your server is properly plugged in;
- If you're using an SD card, make sure the connector is not too dusty;
- Plug a screen on your server and try to reboot to check that it's properly booting;
- Make sure that your ethernet cable is working and properly plugged in;
